#include <string.h>
#include "deftype.h"

unchar *kstring(int j,unchar *s)
/* 文字列sをj回繰り返した文字列を作る関数 */
{
unint i;
#define MAXLEN 1024
unchar a[MAXLEN];
 	a[0]=0;
	if (j>0 && strlen(s)*j<MAXLEN) { /* '92/05/11 : 長さオーバーチェック */
 		for (i=0;i<j;i++) strcat(a,s);
	}
	return(a);
}
